<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Новые файлы'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();
echo "<b>Раздел: <a href='/loads/'>Загрузки файлами[в категории]</a></b><br>";
echo "Новые 10 файлов:</b><br>";




$q=mysql_query("SELECT `name`, `path`, `size` FROM `loads_list` ORDER BY `time` DESC LIMIT 10");


if (mysql_num_rows($q)==0){
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет файлов\n";
echo "  </td>\n";
echo "   </tr>\n";
}

while ($post = mysql_fetch_assoc($q))
{
$i=passgen();
echo "   <tr>\n";
$l=$post['path'];
$l=ereg_replace("\./|/\.",NULL,$l);
$l=ereg_replace("(/){1,}","/",$l);
$l=ereg_replace("(^(/){1,})|((/){1,}$)","",$l);


$dir_loads=H.'sys/loads/files/'.$l;
$dirlist[$i]=$post['name'];
if (function_exists('iconv'))$dirlist[$i]=iconv('utf-8', 'windows-1251', $dirlist[$i]);
$ras=strtolower(eregi_replace('^.*\.', NULL, $dirlist[$i]));
$name=eregi_replace('\.[^\.]*$', NULL, $dirlist[$i]);

if (is_file($dir_loads.'/'.$dirlist[$i].'.name'))
$name2=trim(esc(file_get_contents($dir_loads.'/'.$dirlist[$i].'.name')));
elseif (function_exists('iconv'))
$name2=iconv('windows-1251', 'utf-8', $name);
else $name2=$name;
$name2=htmlspecialchars($name2);
$size=$post['size'];
if ($set['set_show_icon']==2){
echo "  <td rowspan='2' class='icon48'>\n";
include H.'loads/inc/icon48.php';
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1){
echo "  <td class='icon14'>\n";

echo "  </td>\n";
}

if($num==1){ 
echo "<div class='rowdown'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}

include H.'loads/inc/icon14.php';
if ($set['echo_rassh']==1)$ras2=".$ras";else $ras2=NULL;
echo "<a href='/loads/?d=".urlencode("$l")."&amp;f=".urlencode("$dirlist[$i]")."'>$name2$ras2</a>\n";
echo "  <br>\n";

if ($set['set_show_icon']==1)
include H.'loads/inc/opis.php';
if (is_file($dir_loads.'/'.$dirlist[$i].'.opis')) // проверка описания
{
echo "Описание:\n";	
$tmp = output_text(file_get_contents($dir_loads.'/'.$dirlist[$i].'.opis'));
$tmp = cut_text($tmp);
echo $tmp."...<br />\n";
}
elseif (is_file($dir_loads.'/'.$dirlist[$i].'.txt')) // проверка описания в txt файле
{
echo "Описание:\n";	
$tmp = output_text(file_get_contents($dir_loads.'/'.$dirlist[$i].'.txt'));
$tmp = cut_text($tmp);
echo $tmp."...<br />\n";
}
echo "</div>\n";
echo "  </td>\n";
echo "   </tr>\n";
}
echo "</table>\n";



if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
include_once 'sys/inc/tfoot.php';
?>